[arch-commits] CVS update of extra/multimedia/mjpegtools (2 files)

Jan de Groot jgc at archlinux.org
Sat Jun 30 06:10:47 EDT 2007


    Date: Saturday, June 30, 2007 @ 06:10:47
  Author: jgc
    Path: /home/cvs-extra/extra/multimedia/mjpegtools

   Added: mjpegtools-1.8.0-gcc41.patch (1.1)
Modified: PKGBUILD (1.9 -> 1.10)

upgpkg: mjpegtools 1.8.0-3
Fix compile with gcc>=4.1, add missing header, remove useless dependencies


------------------------------+
 PKGBUILD                     |   49 +++++++++++++----------------------------
 mjpegtools-1.8.0-gcc41.patch |   12 ++++++++++
 2 files changed, 28 insertions(+), 33 deletions(-)


Index: extra/multimedia/mjpegtools/PKGBUILD
diff -u extra/multimedia/mjpegtools/PKGBUILD:1.9 extra/multimedia/mjpegtools/PKGBUILD:1.10
--- extra/multimedia/mjpegtools/PKGBUILD:1.9	Thu Jun  8 12:57:43 2006
+++ extra/multimedia/mjpegtools/PKGBUILD	Sat Jun 30 06:10:47 2007
@@ -1,47 +1,30 @@
-# $Id: PKGBUILD,v 1.9 2006/06/08 16:57:43 ganja_guru Exp $
+# $Id: PKGBUILD,v 1.10 2007/06/30 10:10:47 jgc Exp $
 # Contributor: Damir Perisa <damir.perisa at bluewin.ch>
 # Mantainer: Roberto Carvajal <roberto at archlinux.org>
 
 pkgname=mjpegtools
-_srcver=1.8.0
-pkgver=`echo $_srcver | sed -e 's/-//'`
-pkgrel=2
+pkgver=1.8.0
+pkgrel=3
 pkgdesc="The mjpeg programs are a set of tools that can do recording of videos and playback, simple cut-and-paste editing and the MPEG compression of audio and video under Linux. "
 arch=(i686 x86_64)
+license=('GPL')
 url="http://mjpeg.sourceforge.net/"
-depends=('libjpeg' 'libpng' 'sdl' 'glib' 'alsa-lib' 'gcc' 'libdv')
+depends=('libjpeg' 'libpng' 'sdl' 'gcc' 'libdv')
 makedepends=('gtk2')
-source=(http://dl.sourceforge.net/sourceforge/mjpeg/$pkgname-$_srcver.tar.gz)
+options=('!makeflags' '!libtool')
+source=(http://downloads.sourceforge.net/sourceforge/mjpeg/${pkgname}-${pkgver}.tar.gz
+	mjpegtools-1.8.0-gcc41.patch)
+md5sums=('6fd98362310480bdaf7171e9659f165f' '803eccd889c60a442ee23ba65951fadc')
 
 build() {
-  cd $startdir/src/$pkgname-$_srcver
+  cd ${startdir}/src/${pkgname}-${pkgver}
+  patch -Np1 -i ${startdir}/src/mjpegtools-1.8.0-gcc41.patch || return 1
   ./configure --prefix=/usr
-
-#Arch64 fix
-if [ "$CARCH" == "x86_64" ]; then
-    find -name Makefile -exec sed -i 's:-march=k8 -mtune=k8::' {} \;      # for x86_64
-    export MAKEFLAGS="-j1"
-  else   find -name Makefile -exec sed -i 's:-march=pentium3 -mtune=pentium3::' {} \;   # for i686
-fi
+  find -name Makefile -exec sed -i -e 's:-march=k8 -mtune=k8::' -e 's:-march=pentium3 -mtune=pentium3::' {} \;
 
   make || return 1
-  make DESTDIR=$startdir/pkg install
-  find $startdir/pkg -name '*.la' -exec rm {} \;
+  make DESTDIR=${startdir}/pkg install
+
+  install -m644 mpeg2enc/mpeg2syntaxcodes.h \
+      ${startdir}/pkg/usr/include/mjpegtools/mpeg2enc/
 }
-# this is the default configuration:
-# MJPEG tools 1.6.1.90 build configuration :
-#
-#     - X86 Optimizations:
-#       - MMX/3DNow!/SSE enabled      : true
-#       - cmov support enabled        : true
-#     - video4linux recording/playback: true
-#     - software MJPEG playback       : true
-#     - movtar playback/recording     : false
-#     - Quicktime playback/recording  : false
-#     - PNG input support             : true
-#     - AVI MJPEG playback/recording  : true (always)
-#     - libDV (digital video) support : false
-#     - libDV PAL YV12 read support   : false
-#     - Gtk+ support for glav         : true
-#     - glibc support for >2GB files  : true
-md5sums=('6fd98362310480bdaf7171e9659f165f')
Index: extra/multimedia/mjpegtools/mjpegtools-1.8.0-gcc41.patch
diff -u /dev/null extra/multimedia/mjpegtools/mjpegtools-1.8.0-gcc41.patch:1.1
--- /dev/null	Sat Jun 30 06:10:47 2007
+++ extra/multimedia/mjpegtools/mjpegtools-1.8.0-gcc41.patch	Sat Jun 30 06:10:47 2007
@@ -0,0 +1,12 @@
+diff -ur mjpegtools-1.8.0-orig/y4mdenoise/Region2D.hh mjpegtools-1.8.0/y4mdenoise/Region2D.hh
+--- mjpegtools-1.8.0-orig/y4mdenoise/Region2D.hh	2005-12-19 12:36:54.000000000 +0300
++++ mjpegtools-1.8.0/y4mdenoise/Region2D.hh	2005-12-19 12:44:36.000000000 +0300
+@@ -16,7 +16,7 @@
+ 
+ #include "Status_t.h"
+ #include <iostream>
+-
++#include <cassert>
+ 
+ 
+ // The 2-dimensional region class.  Parameterized by the numeric type




More information about the arch-commits mailing list